Package groovy.inspect.swingui

## Class TableMap

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - groovy.inspect.swingui.TableMap

- All Implemented Interfaces:
    `Serializable`, `EventListener`, `TableModelListener`, `TableModel`
  Direct Known Subclasses:
    `TableSorter`

      @Deprecated
      public class TableMap
      extends AbstractTableModel
      implements TableModelListener

  Deprecated.
  In a chain of data manipulators some behaviour is common. TableMap provides most of this behaviour and can be subclassed by filters that only need to override a handful of specific methods. TableMap implements TableModel by routing all requests to its model, and TableModelListener by routing all events to its listeners. Inserting a TableMap which has not been subclassed into a chain of table filters should have no effect.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected TableModel` | `model` | Deprecated.

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableMap()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class` | `getColumnClass​(int aColumn)` | Deprecated.
    `int` | `getColumnCount()` | Deprecated.
    `String` | `getColumnName​(int aColumn)` | Deprecated.
    `TableModel` | `getModel()` | Deprecated.
    `int` | `getRowCount()` | Deprecated.
    `Object` | `getValueAt​(int aRow, int aColumn)` | Deprecated.
    `boolean` | `isCellEditable​(int row, int column)` | Deprecated.
    `void` | `setModel​(TableModel model)` | Deprecated.
    `void` | `setValueAt​(Object aValue, int aRow, int aColumn)` | Deprecated.
    `void` | `tableChanged​(TableModelEvent e)` | Deprecated.

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### model

          protected TableModel model

      Deprecated.

  - ### Constructor Detail

    - #### TableMap

          public TableMap()

      Deprecated.

  - ### Method Detail

    - #### getModel

          public TableModel getModel()

      Deprecated.

    - #### setModel

          public void setModel​(TableModel model)

      Deprecated.

    - #### getValueAt

          public Object getValueAt​(int aRow,
                                   int aColumn)

      Deprecated.
      Specified by:
        `getValueAt` in interface `TableModel`

    - #### setValueAt

          public void setValueAt​(Object aValue,
                                 int aRow,
                                 int aColumn)

      Deprecated.
      Specified by:
        `setValueAt` in interface `TableModel`
      Overrides:
        `setValueAt` in class `AbstractTableModel`

    - #### getRowCount

          public int getRowCount()

      Deprecated.
      Specified by:
        `getRowCount` in interface `TableModel`

    - #### getColumnCount

          public int getColumnCount()

      Deprecated.
      Specified by:
        `getColumnCount` in interface `TableModel`

    - #### getColumnName

          public String getColumnName​(int aColumn)

      Deprecated.
      Specified by:
        `getColumnName` in interface `TableModel`
      Overrides:
        `getColumnName` in class `AbstractTableModel`

    - #### getColumnClass

          public Class getColumnClass​(int aColumn)

      Deprecated.
      Specified by:
        `getColumnClass` in interface `TableModel`
      Overrides:
        `getColumnClass` in class `AbstractTableModel`

    - #### isCellEditable

          public boolean isCellEditable​(int row,
                                        int column)

      Deprecated.
      Specified by:
        `isCellEditable` in interface `TableModel`
      Overrides:
        `isCellEditable` in class `AbstractTableModel`

    - #### tableChanged

          public void tableChanged​(TableModelEvent e)

      Deprecated.
      Specified by:
        `tableChanged` in interface `TableModelListener`